%global momorel 1
Name: DeviceKit
Summary: DeviceKit
Version: 003
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://www.freedesktop.org/wiki/Software/hal

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel
BuildPrereq: dbus-glib-devel
BuildPrereq: libudev-devel

%description
DeviceKit is an abstraction for enumerating devices and listening to
device events. Any application on the system can access the
org.freedesktop.DeviceKit service via the system message bus. On
GNU/Linux, DeviceKit can be considered a simple D-Bus frontend to
udev(7).

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-man-pages --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DeviceKit.conf
%{_sysconfdir}/udev/rules.d/98-devkit.rules
%{_bindir}/devkit
%{_libexecdir}/devkit-daemon
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.DeviceKit.service

%{_mandir}/man1/devkit.1.*
%{_mandir}/man7/DeviceKit.7.*
%{_mandir}/man8/devkit-daemon.8*

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/devkit-gobject.pc

%{_datadir}/gtk-doc/html/devkit

%changelog
* Fri May 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (003-1m)
- update 003

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (002-1m)
- initial build
